/******************************************************************************
 *
 *        FILE: Tree.h 1.3
 *
 *     PROJECT: olit
 *
 * LAST CHANGE: 2/8/95 15:46:07
 *     LOGFILE: /lpa/motif/SCCS/s.Tree.h
 *
 * DESCRIPTION: Tree widget Public header file
 *
 *    LANGUAGE: SUN "C"
 *
 *       NOTES: From the Book
 *
 *      AUTHOR: LPA Software, Inc
 *
 *    SECURITY: Copyright (c) 1993 LPA Software, Inc. All Rights Reserved.
 *
 *****************************************************************************/
/*****************************************************************************
 * Tree.h: Public header file for the Tree widget
 *
 *         From:
 *                   The X Window System, 
 *            Programming and Applications with Xt
 *                   OPEN LOOK Edition
 *         by
 *              Douglas Young & John Pew
 *              Prentice Hall, 1991
 *
 *              Example described on pages: 
 *
 *
 *  Copyright 1991 by Prentice Hall
 *  All Rights Reserved
 *
 * This code is based on the OPEN LOOK Intrinsics Toolkit (OLIT) and 
 * the X Window System
 *
 * Permission to use, copy, modify, and distribute this software for 
 * any purpose and without fee is hereby granted, provided that the above
 * copyright notice appear in all copies and that both the copyright notice
 * and this permission notice appear in supporting documentation.
 *
 * Prentice Hall and the authors disclaim all warranties with regard to 
 * this software, including all implied warranties of merchantability and 
 * fitness.
 * In no event shall Prentice Hall or the authors be liable for any special,
 * indirect or consequential damages or any damages whatsoever resulting from 
 * loss of use, data or profits, whether in an action of contract, negligence 
 * or other tortious action, arising out of or in connection with the use 
 * or performance of this software.
 *
 * OPEN LOOK is a trademark of UNIX System Laboratories.
 * X Window System is a trademark of the Massachusetts Institute of Technology
 ****************************************************************************/

#ifndef __TREE_H
#define __TREE_H

#ifndef lint
    static char TREE_sccsid[] =
      "@(#)Tree.h	1.3 (2/8/95): Tree widget Public";
#endif


/*************************************************************************
 *                           # I N C L U D E S                           *
 *************************************************************************/


/*************************************************************************
 *                 # D E F I N E S   &   T Y P E D E F S                 *
 *************************************************************************/

typedef struct _XsTreeClassRec *XsTreeWidgetClass;
typedef struct _XsTreeRec      *XsTreeWidget;

#define XtNhorizontalSpace    "horizontalSpace"
#define XtNverticalSpace      "verticalSpace"
#define XtCPad                "Pad"
#define XtNsuperNode          "superNode"
#define XtCSuperNode          "SuperNode"
#define XtNbeforeWidget       "beforeWidget"
#define XtCBeforeWidget       "BeforeWidget"


/*************************************************************************
 *                       E X P O R T E D   D A T A                       *
 *************************************************************************/

extern WidgetClass  XstreeWidgetClass;


/*************************************************************************
 *                  E X P O R T E D   F U N C T I O N S                  *
 *************************************************************************/


#endif
